# $Id: template,v 0.3.2.1 2002/09/12 11:00:00 robert Exp $
#
# (c) 2002 by Pengutronix e.K., Hildesheim, Germany
# See CREDITS for details about who has contributed to this project. 
#
# For further information about the PTXDIST project and license conditions
# see the README file.
#

#
# We provide this package
#
ifeq (y, $(PTXCONF_E2FSPROGS))
PACKAGES += e2fsprogs
endif

#
# Paths and names 
#
E2FSPROGS			= e2fsprogs-1.29
E2FSPROGS_URL			= http://cesnet.dl.sourceforge.net/sourceforge/e2fsprogs/e2fsprogs-1.29.tar.gz
E2FSPROGS_SOURCE		= $(SRCDIR)/$(E2FSPROGS).tar.gz
E2FSPROGS_DIR			= $(BUILDDIR)/$(E2FSPROGS)
E2FSPROGS_EXTRACT 		= gzip -dc

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

e2fsprogs_get: $(STATEDIR)/e2fsprogs.get

$(STATEDIR)/e2fsprogs.get: $(e2fsprogs_SOURCE)
	touch $@

$(e2fsprogs_SOURCE):
	@echo
	@echo ------------------- 
	@echo e2fsprogs.get
	@echo -------------------
	@echo
	wget -P $(SRCDIR) $(PASSIVEFTP) $(e2fsprogs_URL)

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

e2fsprogs_extract: $(STATEDIR)/e2fsprogs.extract

$(STATEDIR)/e2fsprogs.extract: $(STATEDIR)/e2fsprogs.get
	@echo
	@echo ----------------------- 
	@echo e2fsprogs.extract
	@echo -----------------------
	@echo
	$(e2fsprogs_EXTRACT) $(e2fsprogs_SOURCE) | $(TAR) -C $(BUILDDIR) -xf -
	touch $@

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

e2fsprogs_prepare: $(STATEDIR)/e2fsprogs.prepare

E2FSPROGS_AUTOCONF =  --prefix=$(PTXCONF_PREFIX)
E2FSPROGS_AUTOCONF += --enable-fsck

$(STATEDIR)/e2fsprogs.prepare: $(STATEDIR)/e2fsprogs.extract
	@echo
	@echo ----------------------- 
	@echo e2fsprogs.prepare
	@echo -----------------------
	@echo
	cd $(E2FSPROGS_DIR) &&						\
		./configure $(E2FSPROGS_AUTOCONF)
	touch $@

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

e2fsprogs_compile: $(STATEDIR)/e2fsprogs.compile

$(STATEDIR)/e2fsprogs.compile: $(STATEDIR)/e2fsprogs.prepare 
	@echo
	@echo ----------------------- 
	@echo e2fsprogs.compile
	@echo -----------------------
	@echo
	# FIXME: not tested on non-x86
	make -C $(E2FSPROGS_DIR)
	touch $@

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

e2fsprogs_install: $(STATEDIR)/e2fsprogs.install

$(STATEDIR)/e2fsprogs.install: $(STATEDIR)/e2fsprogs.compile
	@echo
	@echo ----------------------- 
	@echo e2fsprogs.install
	@echo -----------------------
	@echo
	make -C $(E2FSPROGS_DIR) install
	touch $@

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

e2fsprogs_targetinstall: $(STATEDIR)/e2fsprogs.targetinstall

$(STATEDIR)/e2fsprogs.targetinstall: $(STATEDIR)/e2fsprogs.install
	@echo
	@echo ----------------------- 
	@echo e2fsprogs.targetinstall
	@echo -----------------------
	@echo
        ifeq (y, $(PTXCONF_E2FSPROGS_MKFS))
	cp $(E2FSPROGS_DIR)/misc/mke2fs $(ROOTDIR)/sbin/
        endif
	touch $@

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

e2fsprogs_clean: 
	rm -rf $(STATEDIR)/e2fsprogs.* $(e2fsprogs_DIR)

# vim: syntax=make
